curl --request POST \
--url https://api.virtuoussoftware.com/api/Segment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"communicationId": "<integer>",
"description": "<string>",
"totalContacts": "<integer>",
"contactQueryId": "<integer>",
"costPerContact": "<double>",
"packageCode": "<string>",
"packageDescription": "<string>",
"receiptSegmentId": "<integer>",
"segmentOrganizerId": "<integer>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
communicationId: '<integer>',
description: '<string>',
totalContacts: '<integer>',
contactQueryId: '<integer>',
costPerContact: '<double>',
packageCode: '<string>',
packageDescription: '<string>',
receiptSegmentId: '<integer>',
segmentOrganizerId: '<integer>'
})
};
fetch('https://api.virtuoussoftware.com/api/Segment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Segment"
payload = {
"name": "<string>",
"code": "<string>",
"communicationId": "<integer>",
"description": "<string>",
"totalContacts": "<integer>",
"contactQueryId": "<integer>",
"costPerContact": "<double>",
"packageCode": "<string>",
"packageDescription": "<string>",
"receiptSegmentId": "<integer>",
"segmentOrganizerId": "<integer>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Segment");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"communicationId\": \"<integer>\",\n \"description\": \"<string>\",\n \"totalContacts\": \"<integer>\",\n \"contactQueryId\": \"<integer>\",\n \"costPerContact\": \"<double>\",\n \"packageCode\": \"<string>\",\n \"packageDescription\": \"<string>\",\n \"receiptSegmentId\": \"<integer>\",\n \"segmentOrganizerId\": \"<integer>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Segment';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
communicationId: '<integer>',
description: '<string>',
totalContacts: '<integer>',
contactQueryId: '<integer>',
costPerContact: '<double>',
packageCode: '<string>',
packageDescription: '<string>',
receiptSegmentId: '<integer>',
segmentOrganizerId: '<integer>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 5110,
"contactQueryId": 77,
"receiptSegmentId": 88,
"name": "Year-End Campaign 2025 — Major Donors",
"description": "Major donors segmented for the year-end email series.",
"code": "YE-2025-MAJOR",
"communicationId": 4500,
"communicationName": "Year-End Campaign 2025 — Email 1",
"campaignId": 2011,
"campaignName": "Year-End Campaign 2025",
"segmentOrganizerId": 5001
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Create a Segment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The name of the segment.
The code that identifies the record.
The identifier of the communication this record belongs to.
A free-text description of the record.
The number of contacts the segment was sent to.
The identifier of the saved contact query that defines the segment.
The cost of reaching one contact in the segment.
The code that identifies the package used for the segment.
A description of the package used for the segment.
The identifier of the segment used when receipting the gift, when it differs from the gift segment.
The identifier of the segment organizer this segment belongs to.
Response
OK
The saved contact query used by this segment.
The segment used for receipting.
The unique identifier of the record in Virtuous.
The display name of the record.
The free-text description stored on the record.
Was this page helpful?